﻿using System;
using System.Collections.Generic;

namespace InternshipSystem.Core
{
    public class Edition
    {
        public long Id { get; private set; }
        public DateTime EditionStart { get; private set; }
        public DateTime EditionFinish { get; private set; }
        public DateTime ReportingStart { get; private set; }
        public Course Course { get; private set; }
        public IReadOnlyCollection<InternshipSubject> AvailableSubjects { get; private set; }

        public Edition CreateEdition(DateTime start, DateTime end, DateTime reportingStart)
        {
            return new Edition
            {
                EditionStart = start,
                EditionFinish = end,
                ReportingStart = reportingStart
            };
        }
    }
}